Opened 12 years ago

Closed 12 years ago

#12263 closed defect (fixed)

BUG: rpm-4.4.9 doesn't link if the sqlite3 port is not already installed

Reported by: gui-dos (Guido Soranzio) Owned by: afb@…
Priority: Normal Milestone:
Component: ports Version: 1.5
Keywords: Cc: n3npq@…
Port:

Description

While trying to install rpm-4.4.9 on a fresh installation of the new MacPorts 1.5, the final link phase fails:

/bin/sh ../libtool --tag=CC   --mode=link gcc  -O2 -fPIC -DPIC -D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -no-undefined -release 4.4 ../rpmio/librpmio.la /opt/local/lib/libpopt.la /opt/local/lib/libsqlite3.la  -L/opt/local/lib -L/opt/local/lib -o librpmdb.la -rpath /opt/local/lib dbconfig.lo fprint.lo hdrNVR.lo header.lo header_internal.lo legacy.lo merge.lo poptDB.lo rpmdb.lo tagname.lo tagtbl.lo db3.lo sqlite.lo ../db3/libdb.la 
libtool: link: cannot find the library `/opt/local/lib/libsqlite3.la' or unhandled argument `/opt/local/lib/libsqlite3.la'
gnumake[3]: *** [librpmdb.la] Error 1
gnumake[2]: *** [all] Error 2
gnumake[1]: *** [all-recursive] Error 1
gnumake: *** [all] Error 2.

This doesn't happen after installing the sqlite3 port.

Change History (1)

comment:1 Changed 12 years ago by afb@…

Resolution: fixed
Status: newclosed

sqlite3 is now a dependency (in revision 3), thanks for reporting.

Note: See TracTickets for help on using tickets.